package com.ruoyi.web.work.mapper;

import java.util.List;
import com.ruoyi.web.work.domain.Dg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.dto.Pv1MedicalRecord;
import org.apache.ibatis.annotations.Param;

/**
 * @author lsw
 * @date 2024-07-19
 */
public interface DgMapper extends BaseMapper<Dg> {
    List<Dg> selectList(Dg dg);

    List<Dg> getDgByCard(String card);

    List<Pv1MedicalRecord> getMedicalRecord(@Param("beginTime") String beginTime,
                                            @Param("endTime") String endTime,
                                            @Param("patientId") Long patientId);

}
