package com.ruoyi.web.work.service.impl;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Obx;
import com.ruoyi.web.work.mapper.ObxMapper;
import com.ruoyi.web.work.mapper.Pv1Mapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.ObrMapper;
import com.ruoyi.web.work.domain.Obr;
import com.ruoyi.web.work.service.IObrService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-23
 */
@Service
public class ObrServiceImpl extends ServiceImpl<ObrMapper, Obr> implements IObrService {
    @Autowired
    private ObrMapper obrMapper;


    @Override
    public List<Obr> selectList(Obr obr) {
        return obrMapper.selectList(obr);
    }

    @Override
    public AjaxResult getObrByCard(String card) {
        return AjaxResult.success(obrMapper.getObrByCard(card));
    }
}
