package com.ruoyi.web.work.service.impl;

import java.util.Collections;
import java.util.List;

import com.ruoyi.web.work.mapper.Pv1Mapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.ObxMapper;
import com.ruoyi.web.work.domain.Obx;
import com.ruoyi.web.work.service.IObxService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-23
 */
@Service
public class ObxServiceImpl extends ServiceImpl<ObxMapper, Obx> implements IObxService {
    @Autowired
    private ObxMapper obxMapper;

    @Autowired
    private Pv1Mapper pv1Mapper;

    @Override
    public List<Obx> selectList(Obx obx) {
        return obxMapper.selectList(obx);
    }

    @Override
    public List<Obx> getObxByCard(String card) {
        return obxMapper.getObxByCard(card);
    }


}
