package com.ruoyi.web.work.api;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.mapper.ObrMapper;
import com.ruoyi.web.work.service.IObrService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "小程序科室申请管理")
@RestController
@RequestMapping("/app/obr")
public class Api_ObrController {

    @Autowired
    private IObrService obrService;

    @ApiOperation(value = "根据就诊卡号获取科室申请")
    @GetMapping("/department/{card}")
    public AjaxResult getObrByCard(@PathVariable("card") String card) {
        return obrService.getObrByCard(card);
    }

}
